%define fname latex-xft
%define ttfdir %_datadir/fonts/default/TrueType-%fname

Name: %fname-fonts-ttf
Version: 0.1
Release: alt2

Summary: xft-compatible versions of some LaTeX fonts

License: distributable
Group: System/Fonts/True type
Url: http://apt.ling.li/rpms/latex-xft-fonts

Packager: Vitaly Lipatov <lav@altlinux.ru>

BuildArch: noarch

Source: ftp://ftp.lyx.org/pub/lyx/bin/1.3.2/latex-xft-fonts-%version.tar.gz

Obsoletes: %fname-fonts
Provides: %fname-fonts

BuildRequires: ttmkfdir

PreReq: chkfontpath fontconfig

%description
Some xft-compatible versions of LaTeX fonts for use
with visual math symbol display in LyX. You will need
to install this package if your version of Qt is using
Xft for displaying fonts (most recent systems).

%prep
%setup -q -n %fname-fonts-%version

%install
%__mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 *.ttf $RPM_BUILD_ROOT%ttfdir
cd $RPM_BUILD_ROOT%ttfdir
%_sbindir/ttmkfdir -o ./fonts.dir >& /dev/null
touch fonts.cache-1

%post
%_bindir/fc-cache %ttfdir
%_sbindir/chkfontpath -q --add %ttfdir

%postun
%_sbindir/chkfontpath -q --remove %ttfdir

%files
%doc README
%dir %ttfdir
%ttfdir/*.ttf
%config %ttfdir/fonts.cache-1
%config %ttfdir/fonts.dir

%changelog
* Wed Jan 05 2005 Vitaly Lipatov <lav@altlinux.ru> 0.1-alt2
- cleanup spec according to policy
- build with ttmkfdir
- rename to latex-xft-fonts-ttf
- fix bug #5821

* Fri Jun 18 2004 Vitaly Lipatov <lav@altlinux.ru> 0.1-alt1
- first build for Sisyphus

* Fri Dec 20 2002  John Levon  <levon@movementarian.org>
- Initial version
